# Common files
require 'supportify_client/api_client'
require 'supportify_client/api_error'
require 'supportify_client/version'
require 'supportify_client/configuration'

# Models
require 'supportify_client/models/info'
require 'supportify_client/models/category'
require 'supportify_client/models/tag'
require 'supportify_client/models/user'
require 'supportify_client/models/faq'
require 'supportify_client/models/error'
require 'supportify_client/models/info_application'
require 'supportify_client/models/info_supportify'

# APIs
require 'supportify_client/api/supportify_api'

module Supportify
  class << self
    # Customize default settings for the SDK using block.
    #   Supportify.configure do |config|
    #     config.username = "xxx"
    #     config.password = "xxx"
    #   end
    # If no block given, return the default Configuration object.
    def configure
      if block_given?
        yield(Configuration.default)
      else
        Configuration.default
      end
    end
  end
end
